#
# spec file for package squaroid (Version 0.60.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel imlib imlib-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         squaroid
Copyright:    GPL
Group:        X11/Games
Summary:      Strategy game
Requires:     squaroid-sfx squaroid-gfx
Version:      0.60.3
Release:      158
Url:          http://www.squaroid.org/
Source:       squaroid-%{version}.tar.bz2
Patch:        squaroid-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Strategy game.

Authors:
--------
    Lukas Schrder <lukas@azzit.de>
    Yair Chuchem <yair@gimby.save-net.co.il>
    Danny Sung <dannys@mail.com>
    Rob Speer <rob@twcny.rr.com>

SuSE series: fun

%prep
%setup
%patch

%build
%{suse_update_config -f}
libtoolize --force
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
%ifarch s390
                        --disable-sound \
%endif
                        --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT/usr/share/squaroid/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS TODO HACKING*
/usr/bin/*
/usr/share/squaroid/

%changelog -n squaroid
* Mon Aug 13 2001 - cihlar@suse.cz
- disable sound on s390
* Tue Jun 12 2001 - cihlar@suse.cz
- added libtoolize --force and aclocal to fix
  to compile
* Tue May 22 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Fri Dec 01 2000 - cihlar@suse.cz
- package created
